'' 完毕：
Imports System.IO
Imports System.Drawing
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Pdf.AcroForms
Imports GrapeCity.Documents.Pdf.Graphics
Imports GrapeCity.Documents.Drawing
Imports GrapeCity.Documents.Text

'' 这个示例展示了如何使用数据轻松“展平”AcroForm PDF -
'' 即将该表单转换为非表单 PDF，如下所示
'' 原始填写的表格。
'' 本示例加载的原始填写表单是由FormFields生成的。
Public Class FlattenForm
    Function CreatePDF(ByVal stream As Stream) As Integer
        Dim doc = New GcPdfDocument()
        Using fs = File.OpenRead(Path.Combine("Resources", "PDFs", "form-fields.pdf"))
            '' 将填写好的 PDF 表单加载到临时文档中：
            Dim srcDoc = New GcPdfDocument()
            srcDoc.Load(fs)
            '' 将源 PDF 的所有页面和注释绘制到新 PDF 中：
            For Each srcPage In srcDoc.Pages
                Dim page = doc.Pages.Add()
                Dim fxo = New FormXObject(doc, srcPage)
                page.Graphics.DrawForm(fxo, page.Bounds, Nothing, ImageAlign.Default)
                '' 此方法在页面上绘制所有注释，包括表单字段小部件：
                srcPage.DrawAnnotations(page.Graphics, page.Bounds)
            Next
            '' 完毕：
            doc.Save(stream)
            Return doc.Pages.Count
        End Using
    End Function
End Class
